﻿using Borepin.Model;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Borepin.Service.Connections
{
    public interface IConnectionService
    {
        Task<List<Connection>> GetConnectionList();

        Task<bool> AddConnection(Connection connection);

        Task<bool> RemoveConnection(Connection connection);

        Task<bool> LogConnect(Connection connection);
    }
}
